# Uses of Class
org.apache.datasketches.hll.HllSketch

Packages that use HllSketch
Package
Description
org.apache.datasketches.hll
The DataSketches™ HllSketch family package

## Uses of HllSketch in org.apache.datasketches.hll

Methods in org.apache.datasketches.hll that return HllSketch
Modifier and Type
Method
Description
`HllSketch`
HllSketch.`copy()`
Return a copy of this sketch onto the Java heap.
`HllSketch`
HllSketch.`copyAs(TgtHllType tgtHllType)`
Return a deep copy of this sketch onto the Java heap with the specified TgtHllType.
`HllSketch`
HllUnion.`getResult()`
Return the result of this HllUnion operator as an HLL_4 sketch.
`HllSketch`
HllUnion.`getResult(TgtHllType tgtHllType)`
Return the result of this HllUnion operator with the specified `TgtHllType`
`static final HllSketch`
HllSketch.`heapify(byte[] byteArray)`
Heapify the given byte array, which must be a valid HllSketch image and may have data.
`static final HllSketch`
HllSketch.`heapify(MemorySegment srcSeg)`
Heapify the given MemorySegment, which must be a valid HllSketch image and may have data.
`static final HllSketch`
HllSketch.`wrap(MemorySegment srcSeg)`
Wraps the given read-only MemorySegment that must be a image of a valid sketch, which may be in compact or updatable form, and should have data.
`static final HllSketch`
HllSketch.`writableWrap(MemorySegment srcWseg)`
Wraps the given MemorySegment, which must be a image of a valid updatable sketch, and may have data.
Methods in org.apache.datasketches.hll with parameters of type HllSketch
Modifier and Type
Method
Description
`void`
HllUnion.`update(HllSketch sketch)`
Update this HllUnion operator with the given sketch.